require 'uu/os/rest/dto'

# Module Unicorn Universe.
module UU
  # Module Digital Workspace
  module DigitalWorkspace
    # Module Calendar
    module Calendar
      # @see Calendar#get_busy_time_list
      class CalendarBusyTimeAttributes < UU::OS::REST::PagingCriteria

        # Start date from which the time block blocks the time in the user's calendar
        # according to the specified interval in the commands input.
        attr_accessor :date_start

        # End date until which the time block blocks the time in the user's calendar
        # according to the specified interval in the commands input.
        attr_accessor :date_end

        def date_start
          attributes[:dateStart]
        end

        def date_start=(val)
          attributes[:dateStart] = val
        end

        def date_end
          attributes[:dateEnd]
        end

        def date_end=(val)
          attributes[:dateEnd] = val
        end        

      end
    end
  end
end